iqueue.h(3)

NAME
iqueue.h -

Generic RTP input queues.

SYNOPSIS

#include <ccrtp/queuebase.h>
#include <ccrtp/CryptoContext.h>
#include <list>

  Classes
class Members
members and senders accounting
class SyncSourceHandler
SyncSource objects modification methods.
class ParticipantHandler
Participant objects modification methods.
class ApplicationHandler
Application objects modification methods.
class ConflictHandler
To track addresses of sources conflicting with the local one.
struct ConflictHandler::ConflictingTransportAddress
class MembershipBookkeeping
Controls the group membership in the current session.
struct MembershipBookkeeping::IncomingRTPPktLink
Incoming RTP data packets control structure within the incoming packet queue class.
struct MembershipBookkeeping::SyncSourceLink
Synchronization Source internal handler within the incoming packets queue.
class IncomingDataQueue
Queue for incoming RTP data packets in an RTP session.
class IncomingDataQueue::SyncSourcesIterator
iterator through the list of synchronizations sources in this session

Detailed Description

Generic RTP input queues.

Author

Generated automatically by Doxygen for ccRTP from the source code.